-- Role definition and access privileges for NCDB-PC database.
--
-- To be run by the owner of NCDB-PC database.

-- Role creation
CREATE USER cardfive PASSWORD 'cardfive';
CREATE USER ncdb_pc PASSWORD 'ncdb_pc';

-- Cardfive permissions
GRANT SELECT, UPDATE ON card_print TO cardfive;

-- PC permissions
GRANT SELECT, INSERT, UPDATE, DELETE ON card_print TO ncdb_pc;
GRANT SELECT, INSERT, UPDATE ON card_print_sync TO ncdb_pc;
GRANT SELECT, INSERT, UPDATE ON system_var TO ncdb_pc;
